Landed
Public APIWidget
GET
/api/v1/widget/conversations

Authorization

publishableKey
AuthorizationBearer <token>

Workspace publishable key (wk_pub_...). You can also send X-Landed-Widget-Key instead of Authorization.

In: header

Header Parameters

X-Landed-Visitor-Token?string

Opaque visitor session token. Returned on the first anonymous submission and required to continue that visitor's conversations.

X-Landed-User-Id?string

Host product id from identify(). Must be sent together with X-Landed-User-Email.

X-Landed-User-Email?string

Host product email from identify(). Must be sent together with X-Landed-User-Id.

Formatemail

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/widget/conversations"
{  "openBehavior": "thread",  "selectedConversationId": "conv_123",  "conversations": [    {      "id": "conv_123",      "title": "Export never finishes",      "lastActivityAt": "2026-08-28T09:00:00.000Z",      "preview": "The export button never finishes."    }  ]}
{  "error": "string"}
{  "error": "string"}